"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GridParent = void 0;
const react_1 = __importDefault(require("react"));
const Grid_styled_1 = require("./Grid.styled");
const GridParent = ({ children, columns, gap, rows, }) => {
    const getGap = (size) => {
        switch (size) {
            case "xs":
                return "$sizes$1";
            case "sm":
                return "$sizes$2";
            case "md":
                return "$sizes$3";
            case "lg":
                return "$sizes$4";
            case "xl":
                return "$sizes$5";
            case "2xl":
                return "$sizes$5";
            default:
                return "0";
        }
    };
    return (react_1.default.createElement(Grid_styled_1.GridWrapper, { css: { $$cols: columns, $$rows: rows, $$g: getGap(gap || "0") } }, children));
};
exports.GridParent = GridParent;
//# sourceMappingURL=GridParent.js.map